Panduan pembalasan.id
Reports

Get first response time distribution by channel

GET
/api/v2/accounts/{account_id}/reports/first_response_time_distribution

Get the distribution of first response times grouped by channel type. Returns conversation counts in different time buckets (0-1h, 1-4h, 4-8h, 8-24h, 24h+) for each channel type.

Note: This API endpoint is available only in Chatwoot version 4.11.0 and above.

Authorization

userApiKey
api_access_token<token>

This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.

In: header

Path Parameters

account_id*integer

The numeric ID of the account

Query Parameters

since?string

The timestamp from where report should start (Unix timestamp).

until?string

The timestamp from where report should stop (Unix timestamp).

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v2/accounts/0/reports/first_response_time_distribution"
{
  "Channel::WebWidget": {
    "0-1h": 150,
    "1-4h": 80,
    "4-8h": 45,
    "8-24h": 30,
    "24h+": 15
  },
  "Channel::Api": {
    "0-1h": 75,
    "1-4h": 40,
    "4-8h": 20,
    "8-24h": 10,
    "24h+": 5
  }
}
{
  "description": "string",
  "errors": [
    {
      "field": "string",
      "message": "string",
      "code": "string"
    }
  ]
}